<?php

       echo "<div class='aut'>Действия</div>";
  if($q['gelezo_l']!='0'){
    if(isset($_POST['submit'])){
      $colvo=abs(intval($_POST['colvo']));
      if($q['gelezo_l']>=$colvo){
        mysql_query("UPDATE `empire` SET `narod_abs`=`narod_abs`-$colvo, `gelezo_l`=`gelezo_l`-$colvo WHERE `id_u`='".$user['id']."' LIMIT 1");
        msg('Вы успешно превели '.$colvo.' железодобытчиков в жители');
        echo "<div class='aut'><a href='?do=0'>Назад</a></div>";
        
      }
      else
      {
              msg('У вас нет столько железодобытчиков');
        echo "<div class='aut'><a href='?do=0'>Назад</a></div>";
      }
    }
    else
    {
  echo "<form method='post' action='?do=17&amp;$passgen'>
  Кол-во железодобытчиков(макс. ".$q['gelezo_l']." чел)<br/><input name='colvo' maxlength='5'/>
  <input type='submit' name='submit' value='Перевести'/>
  </form> ";
  }
}
else
{
  echo "<div class='err'>У вас нет железодобытчиков</div>\n";
}
?>